//******************************************************************************************
// Alien Party is a space 2D shooter videogame.
// Copyright (C) 2005  Gorka Surez Garca
//
// invaders.c is part of Alien Party.
// 
// Alien Party is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
// 
// Alien Party is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Alien Party; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//******************************************************************************************
#include "invaders.h"
#include "pintado.h"
#include "logica.h"
#include "system.h"
#include "teclas.h"
//******************************************************************************************
// Bucle principal del juego.
//******************************************************************************************
void BuclePrincipal (tNucleo * Nucleo)
{
	Uint32 Intervalo = 0;
	Uint32 TiempoAnt = 0;

	do{
		//Tomamos el tiempo de inicio
		TiempoAnt = DarTicks();

		//Pintamos la pantalla
		PintarPantalla(Nucleo);

		//Calculamos cuanto tiempo ha tardado
		Intervalo = DarTicks() - TiempoAnt;

		//Y ejecutamos la lgica en base al tiempo transcurrido
		EjecutarLogica(Nucleo, Intervalo);

	}while(Nucleo->Partida.EstadoDelJuego != ESTSAL);
}
//******************************************************************************************
// Entrada principal al juego
//******************************************************************************************
int main (int argc, char ** argv)
{
	tNucleo Nucleo;

	InitJuego(&Nucleo, TRUE, 800, 600, 32);
	BuclePrincipal(&Nucleo);
	FinJuego(&Nucleo);

	return 0;
}
//******************************************************************************************
// Fin invaders.c
//******************************************************************************************
